p {
    margin-top: 0;
    margin-bottom: rem(16);
}

%inc-title {
  margin-top: 0;
  margin-bottom: $margin-bottom-title;
  font-weight: var(--font-weight-title);
  line-height: var(--line-height-title);
}

@each $k, $v in $tab-heading {
    $vmin: (nth($list: $v, $n: 1));
    $vmax: nth($list: $v, $n: 2);
    $val: calc(#{strip-unit($vmax)} * var(--responsive-factor));

    .#{$k} {
        font-size: clamp($vmin, $val, $vmax);
        margin: 0;
        line-height: var(--line-height-title);
    }
}

@each $k, $v in $tab-title {
    #{$k}, .#{$k}{
        @extend %inc-title;
        font-size: $v;
    }
}

@each $iter in $tab-font-weight {
    $k: nth($iter, 1);

    .text-#{$k}{ 
        font-weight: var(--font-weight-#{$k}); 
    }
}

 @each $screen in map-keys($tab-screen) {
    @include media-screen($screen) {
        $infix: infix-elt($screen, $tab-screen);

        @each $k, $v in $tab-text-align{
            .#{$infix}text-#{$k}{ text-align: #{$v}; }
        }
    }
}


@each $k, $v in $tab-text-transform {
    .text-#{$k}{ text-transform: #{$v}; }
}

.text-italic { font-style: italic; }
.text-overline { text-decoration: overline; }
.text-strike { text-decoration: line-through; }
.text-underline { text-decoration: underline; }
.text-truncate {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.title {
    @extend %inc-title;
    font-size: rem(20);
    font-weight: var(--font-weight-semibold);
    margin-bottom: rem(4);
}

.subtitle{
    @extend %inc-title;
    font-size: rem(16);
    margin-bottom: rem(4);
    font-weight: var(--font-weight-light);
}